part of '../../public.dart';

abstract class NameModel<IdType> extends StatusModel<IdType> {
  static const String nameTag = "name";
  final String name;

  const NameModel({required super.id, super.status, required this.name});
  NameModel.fromMap(super.map)
      : name = map.getString(nameTag)!,
        super.fromMap();

  @override
  Map<String, dynamic> toMap() => {...super.toMap(), nameTag: name};
}
