part of '../../../store_management.dart';

class MeasureUnitModel extends NameModel<int> {
  static const String descriptionTag = "description";
  final String? description;
  static const String upMeasureUintIdTag = "upMeasureUintId";
  final int? upMeasureUintId;

  const MeasureUnitModel({
    super.id = 0,
    required super.name,
    super.status,
    this.description,
    this.upMeasureUintId,
  });
  MeasureUnitModel.fromMap(super.map)
      : description = map.getString(descriptionTag),
        upMeasureUintId = map.getInt(upMeasureUintIdTag),
        super.fromMap();

  @override
  Map<String, dynamic> toMap() => {
        ...super.toMap(),
        descriptionTag: description,
        upMeasureUintIdTag: upMeasureUintId,
      };

  static const List<MeasureUnitModel> temp = [];
}
