part of '../../../store_management.dart';

class ProductApiController extends TableController<ProductModel> {
  ProductApiController({
    required super.api,
  }) : super(
          name: "Products",
          publicStorage: true,
          rows: <ProductModel>{
            const ProductModel(id: 1, name: "ديلسي تفاح", typeId: 1),
            const ProductModel(id: 2, name: "ديلسي رمان", typeId: 1),
            const ProductModel(id: 3, name: "فاصوليا حمراء", typeId: 1),
          },
          fromMapConverter: ProductModel.fromMap,
        );
}
