part of '../../../store_management.dart';

class ProductTypeModel extends NameModel<int> {
  static const String descriptionTag = "description";
  final String? description;

  const ProductTypeModel({
    super.id = 0,
    required super.name,
    super.status,
    this.description,
  });
  ProductTypeModel.fromMap(super.map)
      : description = map[descriptionTag] as String?,
        super.fromMap();

  @override
  Map<String, dynamic> toMap() =>
      {...super.toMap(), descriptionTag: description};

  static const List<ProductTypeModel> temp = [
  ];
}
