part of '../../../store_management.dart';

class MeasureUnitApiController extends TableController<MeasureUnitModel> {
  MeasureUnitApiController({
    required super.api,
  }) : super(
          name: "MeasureUnits",
          publicStorage: true,
          rows: <MeasureUnitModel>{
            const MeasureUnitModel(id: 1, name: "لتر"),
            const MeasureUnitModel(id: 2, name: "متر"),
            const MeasureUnitModel(id: 3, name: "جرام"),
            const MeasureUnitModel(id: 4, name: "قطعة"),
            const MeasureUnitModel(id: 5, name: "باكت"),
            const MeasureUnitModel(id: 6, name: "كرتون"),
          },
          fromMapConverter: MeasureUnitModel.fromMap,
        );
}
