part of '../../../store_management.dart';

class StoreApiController extends TableController<StoreModel> {
  StoreApiController({
    required super.api,
  }) : super(
          name: "Stores",
          publicStorage: true,
          rows: <StoreModel>{
            const StoreModel(id: 1, name: "المخزن الرئيسي"),
            const StoreModel(id: 2, name: "مخزن فرع ذمار"),
          },
          fromMapConverter: StoreModel.fromMap,
        );
}
